<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="?themePrimary"
    tools:context=".fragments.SettingsFragment">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView_Info"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="9dp"
                    app:cardBackgroundColor="?themeSecondary"
                    app:cardElevation="5dp"
                    app:cardUseCompatPadding="true">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/text_info"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_margin="7dp"
                            android:fontFamily="sans-serif"
                            android:text="@string/info"
                            android:textColor="?colorAccent"
                            android:textSize="18sp"
                            android:textStyle="bold"
                            android:typeface="sans" />

                        <LinearLayout
                            android:id="@+id/linLayout_User"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="?android:selectableItemBackground"
                            android:orientation="vertical"
                            android:padding="7dp">

                            <TextView
                                android:id="@+id/text_user"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/sample_user"
                                android:textSize="16sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/text_user_desc"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/user_desc" />
                        </LinearLayout>

                        <View
                            android:id="@+id/divider2"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="?dividerColor" />

                        <LinearLayout
                            android:id="@+id/linLayout_Course"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="?android:selectableItemBackground"
                            android:orientation="vertical"
                            android:padding="7dp">

                            <TextView
                                android:id="@+id/text_course"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/sample_course"
                                android:textSize="16sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/text_course_desc"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/course_desc" />
                        </LinearLayout>

                        <View
                            android:id="@+id/divider"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="?dividerColor" />

                        <LinearLayout
                            android:id="@+id/linLayout_ManageLessons"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="?android:selectableItemBackground"
                            android:orientation="vertical"
                            android:padding="7dp">

                            <TextView
                                android:id="@+id/text_manage_lessons"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/manage_lessons"
                                android:textSize="16sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/txtView_ManageLessonsDesc"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/manage_lessons_desc" />
                        </LinearLayout>

                        <View
                            android:id="@+id/divider7"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="?dividerColor" />

                        <LinearLayout
                            android:id="@+id/linLayout_About"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="?android:selectableItemBackground"
                            android:orientation="vertical"
                            android:padding="7dp">

                            <TextView
                                android:id="@+id/text_about"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/about_txtView"
                                android:textSize="16sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/text_about_desc"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/about_version" />
                        </LinearLayout>

                        <View
                            android:id="@+id/divider6"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="?dividerColor" />

                        <LinearLayout
                            android:id="@+id/linLayout_Licence"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="?android:selectableItemBackground"
                            android:orientation="vertical"
                            android:padding="7dp">

                            <TextView
                                android:id="@+id/textView3"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/licenses"
                                android:textSize="16sp"
                                android:textStyle="bold" />
                        </LinearLayout>
                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView_Settings"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:cardBackgroundColor="?themeSecondary"
                    app:cardElevation="5dp"
                    app:cardUseCompatPadding="true">

                    <LinearLayout
                        android:id="@+id/linLayout_Settings"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/text_settings"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_margin="7dp"
                            android:paddingTop="3dp"
                            android:text="@string/settings"
                            android:textColor="?colorAccent"
                            android:textSize="18sp"
                            android:textStyle="bold"
                            android:typeface="sans" />

                        <LinearLayout
                            android:id="@+id/linLayout_Theme"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="?android:selectableItemBackground"
                            android:orientation="vertical"
                            android:padding="7dp">

                            <TextView
                                android:id="@+id/text_theme"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/theme"
                                android:textSize="16sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/text_theme_selected"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/themeLight" />
                        </LinearLayout>

                        <View
                            android:id="@+id/divider3"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="?dividerColor" />

                        <LinearLayout
                            android:id="@+id/linLayout_PrimaryColor"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="?android:selectableItemBackground"
                            android:clickable="true"
                            android:focusable="true"
                            android:gravity="center_vertical|end"
                            android:orientation="horizontal"
                            android:padding="7dp">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="vertical">

                                <TextView
                                    android:id="@+id/text_primary_color"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/primary_color"
                                    android:textSize="16sp"
                                    android:textStyle="bold" />

                                <TextView
                                    android:id="@+id/text_primary_color_desc"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/primary_color_desc" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_margin="7dp"
                                android:gravity="end"
                                android:orientation="vertical">

                                <View
                                    android:id="@+id/view_primary_color"
                                    android:layout_width="40dp"
                                    android:layout_height="40dp"
                                    android:background="?colorPrimary" />
                            </LinearLayout>
                        </LinearLayout>

                        <View
                            android:id="@+id/divider4"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="?dividerColor" />

                        <LinearLayout
                            android:id="@+id/linLayout_AccentColor"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="?android:selectableItemBackground"
                            android:clickable="true"
                            android:focusable="true"
                            android:gravity="center_vertical|end"
                            android:orientation="horizontal"
                            android:padding="7dp">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="vertical">

                                <TextView
                                    android:id="@+id/text_accent_color"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/accent_color"
                                    android:textSize="16sp"
                                    android:textStyle="bold" />

                                <TextView
                                    android:id="@+id/text_accent_color_desc"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/accent_color_desc" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_margin="7dp"
                                android:gravity="end"
                                android:orientation="vertical">

                                <View
                                    android:id="@+id/view_accent_color"
                                    android:layout_width="40dp"
                                    android:layout_height="40dp"
                                    android:background="?colorAccent" />
                            </LinearLayout>
                        </LinearLayout>

                        <View
                            android:id="@+id/divider5"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="?android:attr/listDivider" />

                        <LinearLayout
                            android:id="@+id/linLayout_GradesSync"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="?android:selectableItemBackground"
                            android:orientation="vertical"
                            android:padding="7dp">

                            <TextView
                                android:id="@+id/text_grades_sync"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/grades_sync"
                                android:textSize="16sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/text_grades_sync_desc"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="@string/grades_sync_desc" />
                        </LinearLayout>

                        <View
                            android:id="@+id/divider8"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="?android:attr/listDivider" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/switch_buffet"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:padding="7dp"
                            android:text="@string/show_buffet"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                    </LinearLayout>
                </androidx.cardview.widget.CardView>
            </LinearLayout>
        </ScrollView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>